/**     ll_serial_io_npa_56x4.h
 **
 ** Author: Ted Schmitz
 ** Date of original creation February 17, 2009
 **
 **     This file contains all the definitions to support the routines to 
 ** handle low-level serial I/O for the NPA-56x4 AMC platform.
 **
 **/

#define CONSOLE_UART_SEL 0     /* select UART 0 for console */

#define BACKSPACE 0x08                  /* backspace key code */
#define DELETE    0x7F                  /* delect key code */
#define SPACE     0x20                  /* space key code */

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

extern int check_for_key(void);
extern void wait_for_key(void);
extern char llgetchar(void);
extern int check_for_xmit_ready(void);
extern void llputchar(char ch);
extern void llputchar_when_ready(char ch);
extern int get_line(char * buffer);
